<script setup lang="ts">
import { RouterView } from 'vue-router'
import { useMenuStore } from '@/stores/menu'

import NavBar from './components/NavBar.vue';
import Footer from './components/Footer.vue';

import LanguagesMenu from '@/components/Menus/LanguagesMenu.vue';
import RessourcesMenu from '@/components/Menus/RessourcesMenu.vue';

const menuStore = useMenuStore()
</script>

<template>
  <div id="menu-hide" @click="menuStore.hide">
    <NavBar />

    <div class="content">
      <RouterView />
    </div>

    <Footer />
  </div>

  <LanguagesMenu />
  <RessourcesMenu />
</template>

<style scoped>
.content {
  padding: 0 96px 0 96px;
}
</style>